
Figure - Bug #117325
测试 Test-ST # 114575 (New): V5.0功能测试票

测试 Test-ST # 114579 (New): GameMode

【AF】【EVT】【游戏模式】游戏模式下打开游戏，下划打开控制中心，关闭游戏模式，游戏的帧率和抗锯
齿倍数未发生变化
2023-04-04 16:45 - CD TEST-方永红

Status: CLOSED Start date: 2023-04-04

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0088.C102(X102)

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-04-14

Test Type: ST Root cause: 问题原因：��通过控制中心开关游戏模式，没有触发gpu相关值的更新��问题处理：��在控制中心开关游戏模式时操作更新gpu相关的值

Description

【前提条件】

1、设备已开机

【测试步骤】

1、打开游戏模式（帧率设置为30or45)

2、进入游戏页面

3、下划打开控制中心，关闭游戏模式

4、关闭控制中心

【预期结果】

4、帧率和抗锯齿倍数恢复设备默认值

【实际结果】

4、游戏页面的帧率和抗锯齿倍数未发生变化

History

#1 - 2023-04-10 11:01 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW王武军

Hi 军哥

在控制中心关闭游戏模式时

因为topactivity没有发生变化，帧数和抗锯齿没有更新成默认的（未开启游戏模式时的）

需要对这种情况进行处理

#2 - 2023-04-13 17:22 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

193260 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wujun.wang@thundersoft.com
AF:GameMode: fix gpu infoAdd logic to update gpu info.TC-RID: 1201-0204803IssueID: TS-R-BUG-117325Change-Id:

I88509adaafa28f96b21674850f235a5699de6aae

#3 - 2023-04-13 18:00 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

193402 general/device/thundercomm/TCDEV Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wujun.wang@thundersoft.com

AF:GameMode: add property_serviceAdd platform_app sepolicy for property_service.TC-RID: 1201-0204803IssueID: TS-R-DF-117325Change-Id:

Ic987e5af3815616ee8997dd7f2db1ceddf70ea97

#4 - 2023-04-13 18:03 - CD FW王武军

- Assignee changed from CD FW王武军 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-04-14

- Root cause set to 问题原因：

通过控制中心开关游戏模式，没有触发gpu相关值的更新

问题处理：

在控制中心开关游戏模式时操作更新gpu相关的值

#5 - 2023-04-19 19:20 - CD TEST-方永红

- Assignee changed from CD TEST-方永红 to CDTS_Test 吴诗雨

#6 - 2023-04-19 19:32 - CDTS_Test 吴诗雨

- Status changed from ASSIGNED to RESOLVED

验证版本：0419DB

验证情况：游戏模式下打开游戏，下划打开控制中心，关闭游戏模式，游戏的帧率和抗锯齿倍数发生变化

#7 - 2023-04-19 19:32 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#8 - 2023-04-19 19:34 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

Files
